function printComparison(dataOne, dataTwo, dataRefOne, dataRefTwo)
% show typical figures for comparison
%
% here, you either have:
%   1) readResultData / dec
%   2) result / pbeDef 


if ~isfield(
    %% readResultData / dec
    data = dataOne;dec = dataTwo;
    dataRef = dataRefOne; decRef = dataRefTwo;
    
    printTimeEvolution(dataRefOne.timeVector, heMatrixProjected, ...
        heMatrixOriginal, {'1', '2', '3'})
    title('projection')
    % ylim([-0.1 0.1]);
    measMatrixOriginal = computeMeasureDec(dataRefTwo, 'hC', heMatrixOriginal, ...
        {'volume', 'surface', 'meanWidth'}, [], [], 1);
    measMatrixProjected = computeMeasureDec(dataTwo, 'hC', heMatrixProjected, ...
        {'volume', 'surface', 'meanWidth'}, [], [], 1);
    printTimeEvolution(dataRefOne.timeVector, measMatrixProjected, ...
        measMatrixOriginal, {'volume', 'surface', 'meanWidth'})
    title('projection')
else
    %% poulations
    result = dataOne; pbeDef = dataTwo;
    resultRef = dataRefOne; pbeDefRef = dataRefTwo;
    
    % number evolution
    [X, Y] = extractDataFromPbeResult('integralProperty', 'number', ...
        result, pbeDef);
    [X, Yapprox] = extractDataFromPbeResult('integralProperty', 'number', ...
        resultTest, pbeDefTest);
    figure,hold on
    plot(X, Y(1,:));
    plot(X, Yapprox(1,:), 'r.-');
    % plot(X, Y(1,:) + Y(2,:), 'r.');
    ylabel('number')
    
end